Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.input.latex
Class BeginPictureExpression

    java.lang.Object
      jpicedt.format.input.util.AbstractRegularExpression
          jpicedt.format.input.util.SequenceExpression
              jpicedt.format.input.latex.BeginPictureExpression

All Implemented Interfaces:
  ExpressionConstants

public class BeginPictureExpression
extends SequenceExpression
implements ExpressionConstants

LaTeX or eepic :

- \begin{picture}(w,h)
- \begin{picture}(w,h)(x,y)

Since:
  jpicedt 1.3
Version:
  $Id: BeginPictureExpression.java,v 1.5.2.1 2007/09/02 11:56:00 reynal Exp $
Author:
  Sylvain Reynal

Field Summary

Fields inherited from interface jpicedt.format.input.util.ExpressionConstants
`ANY_CHAR, ANY_CHAR_EOL, ANY_SIGN, AT_LEAST, AT_MOST, DEBUG, DOUBLE, EOL, EXACTLY, INTEGER, NEGATIVE, NON_NULL, POSITIVE, STRICTLY_NEGATIVE, STRICTLY_POSITIVE, WHITE_SPACES, WHITE_SPACES_OR_EOL`

Constructor Summary
`BeginPictureExpression()`

Method Summary
`String` | `toString()`

Methods inherited from class jpicedt.format.input.util.SequenceExpression
`add, interpret`

Methods inherited from class jpicedt.format.input.util.AbstractRegularExpression
`action`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeginPictureExpression

    public BeginPictureExpression()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `SequenceExpression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org